CXX      := clang++
CXXFLAGS := -std=c++23 -Iinclude -Wall -Wextra
LDFLAGS  := -lcrypto

TARGET   := build/app
SRC      := main.cpp

.PHONY: all clean

all:
	@mkdir -p $(dir $(TARGET))
	@$(CXX) $(CXXFLAGS) $(SRC) -o $(TARGET) $(LDFLAGS)

clean:
	rm -rf build
